Retrieve all access grants for a specific vector store.
GEThttps://api.aitronos.com/v1/organizations/{organization_id}/vector-stores/{store_id}/grants
Returns a paginated list of access grants associated with a specific vector store. This is a convenience endpoint equivalent to listing grants filtered by entity_type=vector_store and entity_id={store_id}.
organization_id string required
The unique identifier of the organization (format: org_*).
store_id string required
The unique identifier of the vector store (format: vs_*).
skip integer optional · Defaults to 0
Number of items to skip for pagination.
limit integer optional · Defaults to 20
Maximum number of items to return (1-100).
A paginated list of access grant objects with items, total, skip, limit, and has_more fields.
cURL
- Bash
- Python
- Python
- JavaScript
curl -s -X GET "https://api.aitronos.com/v1/organizations/org_xyz789/vector-stores/vs_abc123/grants?limit=10" \
-H "Authorization: Bearer $ACCESS_TOKEN"